# $Revision: 1.28 $, $Date: 2004/07/26 08:07:41 $
Summary:	GB - GNOME Basic
Summary(pl):	GB - GNOME Basic
Name:		gb
Version:	0.0.20
Release:	5
License:	GPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gb/0.0/%{name}-%{version}.tar.gz
# Source0-md5:	19e35bd7f24ad619250484a997c0e02d
Patch0:		%{name}-am_fixes.patch
Patch1:		%{name}-am15.patch
Patch2:		%{name}-%{name}run.patch
Patch3:		%{name}-locale_names.patch
URL:		http://www.gnome.org/gb/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gnome-libs-devel
BuildRequires:	gnome-print-devel >= 0.28
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an embryonic attempt to provide VB compatible functionality
for the GNOME project, particularly with respect to office (VBA)
compatibility.

%description -l pl
Pakiet ten zawiera bibliotek ktra udostpnia funkcje umoliwiajce
realizacj VB (Visual Basic) dla aplikacji GNOME.

%package devel
Summary:	Development resources for GNOME Basic
Summary(pl):	Zasoby potrzebne przy tworzeniu aplikacji uywajcych GNOME Basic
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Development resources for GNOME Basic.

%description devel -l pl
Zasoby potrzebne przy tworzeniu alikacji uywajcych gb.

%package static
Summary:	Static libraries for GNOME Basic
Summary(pl):	Biblioteki statyczne do GNOME Basic
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for GNOME Basic.

%description static -l pl
Biblioteki statyczne do GNOME Basic.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

mv -f po/{no,nb}.po

%build
rm -f missing
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
%{__libtoolize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gb
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO docs/*.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/*.sh
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gb.spec,v $
Revision 1.28  2004/07/26 08:07:41  ankry
- no -> nb, rel. 5

Revision 1.27  2004/04/26 15:30:37  adamg
- release 4 for Ac (3 is for Ra)

Revision 1.26  2003/08/26 20:31:19  ankry
- s/[Gg]nome/GNOME/

Revision 1.25  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 05:47:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.22  2003/01/15 14:45:20  qboosh
- updated Source0 URL

Revision 1.21  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.20  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.18  2002/05/21 23:13:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.17  2002/04/25 16:21:14  arturs
fixed a small typo

Revision 1.16  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:13:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/10/30 00:58:18  kloczek
- "rm -f missing" in top %build.

Revision 1.12  2001/09/26 10:24:44  qboosh
- BuildRequires: autoconf
- fixes in descriptions
- call ldconfig in post/postun
- release 3

Revision 1.11  2001/09/10 08:02:36  kloczek
- release 2,
- added am15 patch (fixes for automake 1.5 and some cleanups),
- added gbrun patch (with fix reported in gb-config script library name).

Revision 1.10  2001/08/23 20:25:10  kloczek
- updated to 0.0.20,
- added using %%find_lang macro.
- spec ac 2.5x ready.

Revision 1.9  2001/04/23 23:53:32  kloczek
- release 2,
- rebuild against gnome-print 0.28,
- added missing gnome-print-devel BuildRequires.

Revision 1.8  2001/03/15 01:03:35  kloczek
- updated to 0.0.18.

Revision 1.7  2001/03/01 01:55:07  kloczek
- relese 4: rebuild against gnome-libs linked with new audiofile.

Revision 1.6  2001/01/19 18:30:24  kloczek
- release 3,
- added ac_fix patch with two simplifications in ac suit,
- now package can be also builded in automake 1.4b enviroment.

Revision 1.5  2000/12/29 19:44:08  kloczek
- release 2,
- added am_fixes patch with fixes in automake for correct passing CFLAGS
  completed in autoconf.

Revision 1.4  2000/12/29 14:39:59  kloczek
- uapdated to 0.0.17,
- added pl translations.

Revision 1.3  2000/11/26 14:31:47  kloczek
- updated to 0.0.16.

Revision 1.2  2000/11/06 10:35:09  kloczek
- typo.

Revision 1.1  2000/11/06 10:34:37  kloczek
- written from scrach.
